#ifndef __TIMING_H
#define __TIMING_H

#include <conio.h>
#include <dos.h>

#define CLK_FREQ			(float)(1193180.0)
#define MIN_FREQ			(float)(CLK_FREQ/0xffff)
#define CTR0				0x40	/* address for counter0 */
#define CONTROL_REG		0x43	/* CONROL REGISTER FOR THE 8254 (PIT) */
#define CTR0_MODE2		0x34 /*  code to set up ctr0 in mode 2 */

#define NORMAL_DIVISOR	65536
#define FALSE				0

void setSampleRate(void);
float setTimer(float sampleFreq);
void resetTimer(void);
void startTimer(void);
void flushKBbuffer(void);
#endif
